Get Samply Profile
Required role: read or higher.
Retrieve the last samply profile of a pipeline, regardless of whether profiling is currently in progress. If ?latest parameter is specified and Samply profile collection is in progress, returns HTTP 307 with Retry-After header.
| Path Parameters |
|---|
pipeline_name string — REQUIREDUnique pipeline name |
| Query Parameters |
|---|
ordinal integerIn a multihost pipeline, the ordinal of the pipeline to sample. |
latest booleanIf true, returns 204 redirect with Retry-After header if profile collection is in progress. If false or not provided, returns the last collected profile. |
| Responses | ||||
|---|---|---|---|---|
200Samply profile as a gzip containing the profile that can be inspected by the samply tool. Note: may return 204 No Content with Retry-After header if latest=true and profiling is in progress.
| ||||
400No samply profile exists for the pipeline, create one by calling
| ||||
404Pipeline with that name does not exist
| ||||
500
| ||||
503
|